org.apache.lucene.facet.search

## Class FloatFacetResultsHandler

- java.lang.Object
- - org.apache.lucene.facet.search.FacetResultsHandler
  - - org.apache.lucene.facet.search.DepthOneFacetResultsHandler
    - - org.apache.lucene.facet.search.FloatFacetResultsHandler

    public final class FloatFacetResultsHandler
    extends DepthOneFacetResultsHandler

A `DepthOneFacetResultsHandler` which fills the categories values from `FacetArrays.getFloatArray()`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Field Summary

### Fields inherited from class org.apache.lucene.facet.search.FacetResultsHandler

`facetArrays, facetRequest, taxonomyReader`

### Constructor Summary

Constructors
Constructor and Description
`FloatFacetResultsHandler(TaxonomyReader taxonomyReader, FacetRequest facetRequest, FacetArrays facetArrays)`

### Method Summary

Methods
`protected void` `addSiblings(int ordinal, int[] siblings, ArrayList<FacetResultNode> nodes)` Add the siblings of `ordinal` to the given list.
`protected int` `addSiblings(int ordinal, int[] siblings, PriorityQueue<FacetResultNode> pq)` Add the siblings of `ordinal` to the given `PriorityQueue`.
`protected double` `valueOf(int ordinal)` Returnt the value of the requested ordinal.

### Methods inherited from class org.apache.lucene.facet.search.DepthOneFacetResultsHandler

`compute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FloatFacetResultsHandler

    public FloatFacetResultsHandler(TaxonomyReader taxonomyReader,
                            FacetRequest facetRequest,
                            FacetArrays facetArrays)

### Method Detail

#### valueOf

    protected final double valueOf(int ordinal)

Description copied from class: `DepthOneFacetResultsHandler`
Returnt the value of the requested ordinal. Called once for the result root.

Specified by:
  `valueOf` in class `DepthOneFacetResultsHandler`

#### addSiblings

    protected final int addSiblings(int ordinal,
                  int[] siblings,
                  PriorityQueue<FacetResultNode> pq)

Description copied from class: `DepthOneFacetResultsHandler`
Add the siblings of `ordinal` to the given `PriorityQueue`. The given `PriorityQueue` is already filled with sentinel objects, so implementations are encouraged to use `PriorityQueue.top()` and `PriorityQueue.updateTop()` for best performance.

Specified by:
  `addSiblings` in class `DepthOneFacetResultsHandler`

#### addSiblings

    protected final void addSiblings(int ordinal,
                   int[] siblings,
                   ArrayList<FacetResultNode> nodes)
                              throws IOException

Description copied from class: `DepthOneFacetResultsHandler`
Add the siblings of `ordinal` to the given list. This is called whenever the number of results is too high (> taxonomy size), instead of adding them to a `PriorityQueue`.

Specified by:
  `addSiblings` in class `DepthOneFacetResultsHandler`
Throws:
  `IOException`